### Class: lb3appbooter = new Lb3AppBooter()

Properties

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
app | `RestApplication` |  | public exported constructorProperty |
appPath | `string` |  | exported |
options | `Lb3AppBooterOptions` |  | exported |
projectRoot | `string` |  | public exported constructorProperty |

#### constructor(app: RestApplication, projectRoot: string, options: Partial<Lb3AppBooterOptions>) : Lb3AppBooter

Parameters

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
app | `RestApplication` |  |  |
projectRoot | `string` |  |  |
options | `Partial<Lb3AppBooterOptions>` | {} |  |

#### configure() : Promise<void>

#### load() : Promise<void>

### Interface: Lb3AppBooterOptions

Properties

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
mode | `|` |  | exported |
path | `string` |  | exported |
restApiRoot | `string` |  | exported |

### Class: lb3appbootercomponent = new Lb3AppBooterComponent()

Properties

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
booters | `Lb3AppBooter[]` | [Lb3AppBooter] | exported |